module.exports = {
	'array-bracket-newline': ['warn', 'consistent'],
	'array-element-newline': ['warn', 'consistent'],
	'block-spacing': 'warn',
	'brace-style': 'warn',
	camelcase: 'warn',
	'capitalized-comments': 'off',
	'comma-dangle': ['warn', {
		arrays: 'always-multiline',
		objects: 'always-multiline',
		imports: 'always-multiline',
		exports: 'always-multiline',
		functions: 'always-multiline',
	}],
	'comma-spacing': 'warn',
	'comma-style': 'warn',
	'computed-property-spacing': 'warn',
	'consistent-this': ['warn', 'self'],
	'eol-last': 'warn',
	'func-call-spacing': 'warn',
	'function-paren-newline': ['warn', 'consistent'],
	'id-blacklist': [
		'warn',
		'err',
		'e',
		'cb',
	],
	'implicit-arrow-linebreak': 'warn',
	indent: ['warn', 'tab'],
	'jsx-quotes': 'warn',
	'key-spacing': 'warn',
	'keyword-spacing': 'warn',
	'linebreak-style': 'warn',
	'max-statements-per-line': 'warn',
	'new-cap': 'warn',
	'new-parens': 'warn',
	'no-array-constructor': 'warn',
	'no-bitwise': 'warn',
	'no-lonely-if': 'warn',
	'no-mixed-operators': ['warn', {
		groups: [
			['+', '-', '*', '/', '%', '**'],
			['&', '|', '^', '~', '<<', '>>', '>>>'],
			['==', '!=', '===', '!==', '>', '>=', '<', '<='],
			['&&', '||'],
			['in', 'instanceof'],
		],
		allowSamePrecedence: true,
	}],
	'no-mixed-spaces-and-tabs': 'warn',
	'no-multiple-empty-lines': 'warn',
	'no-negated-condition': 'warn',
	'no-new-object': 'warn',
	'no-trailing-spaces': 'warn',
	'no-unneeded-ternary': 'warn',
	'no-whitespace-before-property': 'warn',
	'nonblock-statement-body-position': 'warn',
	'object-curly-newline': ['warn', { consistent: true }],
	'object-curly-spacing': ['warn', 'always'],
	'one-var': ['warn', 'never'],
	'padded-blocks': ['warn', 'never'],
	'prefer-object-spread': 'warn',
	'quote-props': ['warn', 'as-needed'],
	quotes: ['warn', 'single', { avoidEscape: true }],
	semi: ['warn', 'never'],
	'semi-spacing': 'warn',
	'semi-style': 'warn',
	'space-before-blocks': 'warn',
	'space-before-function-paren': ['warn', {
		anonymous: 'always',
		named: 'never',
		asyncArrow: 'always',
	}],
	'space-in-parens': 'warn',
	'space-infix-ops': 'warn',
	'space-unary-ops': 'warn',
	'spaced-comment': 'warn',
	'switch-colon-spacing': 'warn',
	'template-tag-spacing': 'warn',
	'unicode-bom': 'warn',
}
